import time
from machine import Pin
from dht22 import DHT22
from mq135 import MQ135


adc3 = MQ135(29)
dht22 = DHT22(machine.Pin(2,machine.Pin.IN,machine.Pin.PULL_UP))

while True:
    
    T, H = dht22.read() # Gets Temp & Hum from dht22.py library

    while True:
        rzero = adc3.get_rzero()
        corrected_rzero = adc3.get_corrected_rzero(T, H)
        resistance = adc3.get_resistance()
        ppm = adc3.get_ppm()
        corrected_ppm = adc3.get_corrected_ppm(T, H)

        print("MQ135 RZero: " + str(rzero) +"\t Corrected RZero: "+ str(corrected_rzero)+
              "\t Resistance: "+ str(resistance) +"\t PPM: "+str(ppm)+
              "\t Corrected PPM: "+str(corrected_ppm)+"ppm")
        time.sleep(0.3)